Bedrock / Client / list_foundation_models

list_foundation_models

Bedrock.Client.list_foundation_models(**kwargs)

Lists Amazon Bedrock foundation models that you can use. You can filter the results with the request parameters. For more information, see Foundation models in the Amazon Bedrock User Guide.

See also: AWS API Documentation

Request Syntax

response = client.list_foundation_models(
    byProvider='string',
    byCustomizationType='FINE_TUNING'|'CONTINUED_PRE_TRAINING'|'DISTILLATION',
    byOutputModality='TEXT'|'IMAGE'|'EMBEDDING',
    byInferenceType='ON_DEMAND'|'PROVISIONED'
)
Parameters:
  • byProvider (string) – Return models belonging to the model provider that you specify.

  • byCustomizationType (string) – Return models that support the customization type that you specify. For more information, see Custom models in the Amazon Bedrock User Guide.

  • byOutputModality (string) – Return models that support the output modality that you specify.

  • byInferenceType (string) – Return models that support the inference type that you specify. For more information, see Provisioned Throughput in the Amazon Bedrock User Guide.

Return type:

dict

Returns:

Response Syntax

{
    'modelSummaries': [
        {
            'modelArn': 'string',
            'modelId': 'string',
            'modelName': 'string',
            'providerName': 'string',
            'inputModalities': [
                'TEXT'|'IMAGE'|'EMBEDDING',
            ],
            'outputModalities': [
                'TEXT'|'IMAGE'|'EMBEDDING',
            ],
            'responseStreamingSupported': True|False,
            'customizationsSupported': [
                'FINE_TUNING'|'CONTINUED_PRE_TRAINING'|'DISTILLATION',
            ],
            'inferenceTypesSupported': [
                'ON_DEMAND'|'PROVISIONED',
            ],
            'modelLifecycle': {
                'status': 'ACTIVE'|'LEGACY',
                'startOfLifeTime': datetime(2015, 1, 1),
                'endOfLifeTime': datetime(2015, 1, 1),
                'legacyTime': datetime(2015, 1, 1),
                'publicExtendedAccessTime': datetime(2015, 1, 1)
            }
        },
    ]
}

Response Structure

  • (dict) –

    • modelSummaries (list) –

      A list of Amazon Bedrock foundation models.

      • (dict) –

        Summary information for a foundation model.

        • modelArn (string) –

          The Amazon Resource Name (ARN) of the foundation model.

        • modelId (string) –

          The model ID of the foundation model.

        • modelName (string) –

          The name of the model.

        • providerName (string) –

          The model’s provider name.

        • inputModalities (list) –

          The input modalities that the model supports.

          • (string) –

        • outputModalities (list) –

          The output modalities that the model supports.

          • (string) –

        • responseStreamingSupported (boolean) –

          Indicates whether the model supports streaming.

        • customizationsSupported (list) –

          Whether the model supports fine-tuning or continual pre-training.

          • (string) –

        • inferenceTypesSupported (list) –

          The inference types that the model supports.

          • (string) –

        • modelLifecycle (dict) –

          Contains details about whether a model version is available or deprecated.

          • status (string) –

            Specifies whether a model version is available ( ACTIVE) or deprecated ( LEGACY.

          • startOfLifeTime (datetime) –

            Launch time when the model first becomes available

          • endOfLifeTime (datetime) –

            Time when the model is no longer available for use

          • legacyTime (datetime) –

            Time when the model enters legacy state. Models in legacy state can still be used, but users should plan to transition to an Active model before the end of life time

          • publicExtendedAccessTime (datetime) –

            Public extended access portion of the legacy period, when users should expect higher pricing

Exceptions